Summary:	The GNU versions of find utilities (find and xargs)
Name:		findutils
Version:	4.5.12
Release:	1
License:	GPLv3+
Group:		File tools
Url:		http://www.gnu.org/software/findutils/findutils.html
Source0:	ftp://alpha.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
Patch0:		findutils-4.4.5-no-locate.patch
# learn find to recognize autofs file system by reading /proc/mounts
# as autofs mount points are not listed in /etc/mtab
Patch1:		findutils-4.4.2-autofs.patch
# add a new option -xautofs to find to not descend into directories on autofs
# file systems
Patch2:		findutils-4.4.2-xautofs.patch
BuildRequires:	texinfo
BuildRequires:	gettext-devel

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern). The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%files -f %{name}.lang
%doc NEWS README
/bin/find
%{_bindir}/find
%{_bindir}/oldfind
%{_bindir}/xargs
%{_mandir}/man1/find.1*
%{_mandir}/man1/oldfind.1.*
%{_mandir}/man1/xargs.1*
%{_infodir}/find*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
# Don't build or install locate because it conflicts with slocate,
# which is a secure version of locate.
sed -i '/^SUBDIRS/s/locate//' Makefile.in
libtoolize --copy --force
autoreconf -fiv

%configure2_5x \
	--enable-leaf-optimisation \
	--with-packager="%{vendor}" \
	--with-packager-bug-reports="http://issue.openmandriva.org" \
	--enable-d_type-optimization \
	--with-fts

%make

%check
make check

%install
%makeinstall_std

install -d %{buildroot}/bin
mv %{buildroot}%{_bindir}/find %{buildroot}/bin
ln -sf ../../bin/find %{buildroot}%{_bindir}/find

%find_lang %{name}



%changelog
* Mon Jul 07 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.5.12-1
+ Revision: 72991a7
- New version 4.5.12


